<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Catch Cat</title>
    <style>

    </style>
</head>
<body>
    <div class="selected" id="selected">
        <button class="btn"><img src="img/1.png" alt="one" class="imgBtnOne"></button>
        <button class="btn"><img src="img/2.png" alt="two" class="imgBtnTwo"></button>
        <button class="btn"><img src="img/3.png" alt="three" class="imgBtnThree"></button>
        <button class="btn"><img src="img/4.jpg" alt="four" class="imgBtnFour"></button>
        <button class="btn"><img src="img/5.jpg" alt="five" class="imgBtnFive"></button>
    </div>
    <script>
        // 처음 시작시 0에서 4사이의 난수 하나 생성하여 첫 상자번호 할당
        let num = parseInt( ( Math.random() * 10 ) % 5 ) + 1;
        console.log("고양이가 "+ num + "번 상자로 들어갔어요.");
        // 오늘 일자 할당
        let date = new Date().getDate();
        console.log("처음 선택한날은 "+ date +"일입니다.")
        // 당일 클릭 0회 check 변수
        let today = 0;
        // btn 클래스를 가진 엘리먼트 노드생성
        let btn = document.getElementsByClassName("btn");
        // 클릭된 이미지의 찾는 반복문
        for ( let i = 0; i < btn.length; i++ ) {
            // 이미지가 클릭되면
            btn[i].onclick = () => {
                // 이미지를 클릭했는지 check
                if ( today == 1 ) {
                    alert("이미 한번 선택했습니다. 내일 다시 선택하세요!")
                    // 이미지를 1회 이상 클릭한 후 다음날인지 확인
                    // if ( date < date+1 ) {
                    if ( date < (new Date().getDate()) ) {
                        // 클릭횟수 클리어
                        today = 0;
                        // 변경일 일자변수에 할당
                        // date += 1;
                        date = (new Date().getDate());
                        console.log("오늘은 "+ date +"일입니다.")
                        // 방향을 정하기위해 난수 발생 0은 왼쪽이동, 1은 오른쪽이동
                        let direction = parseInt( ( Math.random() * 10 ) % 2 )
                        // 방향이 0이면
                        if ( direction == 0 && num > 1 || num == 5 ){
                            // 왼쪽으로 이동한 상자
                            num--;
                            console.log("고양이가 "+ num +"번 상자로 이동했어요.");
                        } else if ( direction == 1 && num < 5 || num == 1 ) {
                            // 오른쪽으로 이동한 상자
                            num++;
                            console.log("고양이가 "+ num +"번 상자로 이동했어요.");
                        };
                    };
                } else {
                    // 클릭한 변수와 들어간 상자 번호가 같은지 확인
                    if ( num === i+1 ) {
                        alert("찾았습니다.")
                    } else {
                        alert("꽝!")
                    };
                    // 당일 1회이상 클릭 check 변수
                    today = 1;
                };
            };
        };

    </script>
</body>
</html>